import React, { useState } from "react";
import { CrossMintModal } from "./CrossMintModal";
import { CrossMintPopupProvider } from "./CrossMintPopupProvider";
import { CrossMintStatusProvider } from "./CrossMintStatusProvider";
import { CrossMintModalContext } from "./useCrossMintModal";
export const CrossMintProvider = ({ clientId, auctionId, hideMintOnInactiveClient = false, development = false, children, ...props }) => {
    const [visible, setVisible] = useState(false);
    return (React.createElement(CrossMintStatusProvider, { clientId: clientId, hideMintOnInactiveClient: hideMintOnInactiveClient, auctionId: auctionId },
        React.createElement(CrossMintModalContext.Provider, { value: {
                visible,
                setVisible,
            } },
            React.createElement(CrossMintPopupProvider, { development: development },
                children,
                visible && React.createElement(CrossMintModal, { ...props })))));
};
//# sourceMappingURL=CrossMintProvider.js.map